[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.MaxChainLength

Maximum chain length

## Declaration

Source position: contnrs.pp line 390

`public property TFPCustomHashTable.MaxChainLength : LongWord read GetMaxChainLength;`

## Description

MaxChainLength is the length of the longest chain in the hash table. Calculating this is an expensive operation.

## See also

TFPCustomHashTable.IsEmpty |  | Check if the hash table is empty.
TFPCustomHashTable.Count |  | Number of items in the hash table.
TFPCustomHashTable.LoadFactor |  | Fraction of count versus size
TFPCustomHashTable.AvgChainLength
TFPCustomHashTable.VoidSlots |  | Number of empty slots in the hash table.
TFPCustomHashTable.Density |  | Number of filled slots
TFPCustomHashTable.NumberOfCollisions |  | Number of extra items

Documentation generated on: Feb 26 2014